org.eclipse.graphiti.features.impl

## Class DefaultMoveShapeFeature

- java.lang.Object
- - org.eclipse.graphiti.features.impl.AbstractFeature
  - - org.eclipse.graphiti.features.impl.AbstractMoveShapeFeature
    - - org.eclipse.graphiti.features.impl.DefaultMoveShapeFeature

All Implemented Interfaces:
  IFeature, IFeatureProviderHolder, IMoveFeature, IMoveShapeFeature, IMoveShape, IDescription, IName

    public class DefaultMoveShapeFeature
    extends AbstractMoveShapeFeature

The Class DefaultMoveShapeFeature.

### Constructor Summary

Constructors
Constructor and Description
`DefaultMoveShapeFeature(IFeatureProvider fp)` Creates a new `DefaultMoveShapeFeature`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canMoveShape(IMoveShapeContext context)` Can move shape.
`void` `moveShape(IMoveShapeContext context)` Move shape.

### Methods inherited from class org.eclipse.graphiti.features.impl.AbstractMoveShapeFeature

`canExecute, execute, getName`

### Methods inherited from class org.eclipse.graphiti.features.impl.AbstractFeature

`canUndo, getDescription, getFeatureProvider, hasDoneChanges, isAvailable, manageFont, manageFont, setProgressCallback, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canUndo, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Constructor Detail

#### DefaultMoveShapeFeature

    public DefaultMoveShapeFeature(IFeatureProvider fp)

Creates a new `DefaultMoveShapeFeature`.

Parameters:
  `fp` - the feature provider

### Method Detail

#### canMoveShape

    public boolean canMoveShape(IMoveShapeContext context)

Description copied from interface: `IMoveShape`
Can move shape.

Parameters:
  `context` - the context
Returns:
  true, if successful

#### moveShape

    public void moveShape(IMoveShapeContext context)

Description copied from interface: `IMoveShape`
Move shape.

Parameters:
  `context` - the context